package studio.junk.jam.coloritum.entities.systems;

import com.badlogic.ashley.core.Entity;
import com.badlogic.ashley.core.Family;
import com.badlogic.ashley.systems.IteratingSystem;
import com.badlogic.gdx.graphics.g2d.Sprite;

import studio.junk.jam.coloritum.screen.InGame;

public abstract class TextureRender extends IteratingSystem {

	public TextureRender(Family family) {
		super(family);
	}

	public TextureRender(Family family, int priority) {
		super(family, priority);
	}

	protected void render(Entity entity, Sprite sprite) {
		Sprite toDraw = sprite;

		toDraw.draw(InGame.currentGame.batch);
	}

}
